config_guest()  #$1:ssidselect $2: ssidname $3:enable mlssid $4: enable broad $5: allow access 
{
		$nvram set wl_ssid_$1="$2"
		$nvram set wl_multi_ssid_endis_$1="$3"
		$nvram set endis_ssid_broadcast_$1="$4"
		$nvram set wl_guest_access_local_endis_$1="$5"

}
config_none() #$1:ssidselect
{
		$nvram set wl_sectype_$1=1
}
config_wep() 	#$1: authentication 0--mix 1--open 2--share
		#$2: wep key length 5,13
		#$3: wep key number 1,2,3,4
		#$4~$7: wep key 1~4
		# $8:passphrase $9:ssidselect
{

		$nvram set wl_sectype_$9=2
		$nvram set wl_auth_$9=$1
		$nvram set key_length_$9=$2
                $nvram set wl_key_$9=$3
                $nvram set wl_key1_$9=$4
                $nvram set wl_key2_$9=$5
                $nvram set wl_key3_$9=$6
                $nvram set wl_key4_$9=$7
                $nvram set weppassphrase_$9="$8"
                if [ "$2" = "5" ]; then
                        $nvram set wep_64_key1_$9=$4
                        $nvram set wep_64_key2_$9=$5
                        $nvram set wep_64_key3_$9=$6
                        $nvram set wep_64_key4_$9=$7
                else
                        $nvram set wep_128_key1_$9=$4
                        $nvram set wep_128_key2_$9=$5
                        $nvram set wep_128_key3_$9=$6
                        $nvram set wep_128_key4_$9=$7
                fi

}

config_wpa()# $1:ssidselect $2:passphrase $3: paphrase_len  $4: security type
{
	$nvram set wl_sectype_$1="$4"
	if [ $4 -eq 3 ];then
		$nvram set wl_wpa1_psk_$1="$2"
	elif [ $4 -eq 4 ];then
		$nvram set wl_wpa2_psk_$1="$2"
	else
		$nvram set wl_wpas_psk_$1="$2"
	fi
		$nvram set wl_sec_wpaphrase_len_$1=$3	
}
config_wpawpa2()# $1:WPA Mode $2: RADIUS server IP Address $3:RADIUS server Port $4:RADIUS server Shared Secret 
{
	if [ $1 -eq 0 ];then
		$nvram set wl_sectype_2=6
	elif [ $1 -eq 1 ];then
		$nvram set wl_sectype_2=7
	else
		$nvram set wl_sectype_2=8
	fi
	$nvram set wl_wpa_mode=$1
	$nvram set wl_radius_ipaddr=$2
	$nvram set wl_radius_port=$3
	$nvram set wl_radius_key=$4
}

