config_pptp()
{
	#if [ $4 != " " ];then
	#	$nvram set dy_pptp="0"
	#else
	#	$nvram set dy_pptp="1"
	#fi
	$nvram set wan_proto="pptp"
	$nvram set internet_type="0"
	$nvram set internet_ppp_type="1"
	$nvram set wan_pptp_username="$1"
	$nvram set wan_pptp_password="$2"
	$nvram set wan_pptp_idle_time=$(($3*60))
	$nvram set wan_pptp_local_ip="$4"
	$nvram set wan_pptp_server_ip="$5"
	$nvram set wan_pptp_connection_id="$6"
	$nvram set wan_pptp_dns_assign=$7
	if [ $7 -eq 1 ]; then
		$nvram set wan_ether_dns1=$8
		$nvram set wan_ether_dns2=$9
		$nvram set wan_dns="$8 $9"
		$nvram set wan_autodns=0
	else
		$nvram set wan_autodns=1
	fi
	$nvram set wan_pptp_mac_assign=${10}
	/sbin/sw_learn del 1 $($nvram get wan_hwaddr)
	if [ "${10}" = "2" ];then
		echo 1 > /proc/sys/net/dni/trailer
		$nvram set wan_pptp_this_mac=${11}	
		$nvram set wan_hwaddr=${11}	
		$nvram set trailer=1	
	elif [ "${10}" = "0" ];then
		$nvram set wan_hwaddr=$($nvram get wan_factory_mac)
		$nvram set trailer=0
	elif [ "${10}" = "1" ];then
		$nvram set wan_hwaddr=$($nvram get auth_mac)
		$nvram set wan_remote_mac=$($nvram get auth_mac)
		$nvram set trailer=1	
		echo 1 > /proc/sys/net/dni/trailer
	fi

	if [ "`$nvram get wan_enable_ipv6_passthrough`" = "1" ];then
		rmmod ipv6pass
		if [ "${10}" = "0" ];then
			insmod ipv6pass
		else
			insmod ipv6pass mac_clone="$($nvram get wan_hwaddr)"
		fi
	fi
	$nvram set wan_pptp_wan_assign=${12}
	if [ "${12}" = "1" ]; then
		$nvram set dy_pptp="0"
	else
		$nvram set dy_pptp="1"
	fi
		
	$nvram set change_wan_type=${13}
	$nvram set run_test="${14}"
	$nvram set wan_pptp_demand="${15}"
	if [ "${15}" = "1" ];then
		$nvram set wan_endis_dod=1
	elif [ "${15}" = "2" ];then
		$nvram set wan_endis_dod=2	
	else
		$nvram set wan_endis_dod=0
	fi
	$nvram set wan_pptp_gateway_ip="${16}"
	if [ "${12}" = "1" ]; then
		if [ "x${18}" = "x" ]; then
		    ip1=`echo ${4} | awk -F"." '{print $1}'`
		    if [ $ip1 -lt 128 ]; then 
			$nvram set wan_pptp_netmask="255.0.0.0"
		    elif [ $ip1 -lt 192 ]; then
			$nvram set wan_pptp_netmask="255.255.0.0"
		    elif [ $ip1 -lt 223 ]; then
			$nvram set wan_pptp_netmask="255.255.255.0"
		    fi
		else
		    $nvram set wan_pptp_netmask="${18}"
		fi
	fi	
	$nvram set wan_pptp_gateway_ip="${16}"
	$nvram set wan_pptp_static_dns="${17}"
	
	$nvram unset ez_internet_type
	$nvram unset ez_wan_ether_wan_assign
	$nvram unset ez_wan_ether_dns_assign
	$nvram unset ez_internet_ppp_type
}
