config_secoff()
{
    $nvram set wl_sectype=1
    $nvram set wsc_disable=0
}

config_secwep() #$1: authentication 0--mix 1--open 2--share
                #$2: wep key length 5,13
                #$3: wep key number 1,2,3,4
                #$4~$7: wep key 1~4
{
    $nvram set wl_sectype=2
    $nvram set wl_auth=$1
    if [ "$1" = "1" ];then
	  $nvram set wsc_disable=1
    else 
          $nvram set wsc_disable=0
    fi 
    $nvram set key_length=$2
    $nvram set wl_key=$3
    $nvram set wl_key1=$4
    $nvram set wl_key2=$5
    $nvram set wl_key3=$6
    $nvram set wl_key4=$7
    $nvram set weppassphrase=$8
    if [ "$2" = "5" ]; then
        $nvram set wep_64_key1=$4
        $nvram set wep_64_key2=$5
        $nvram set wep_64_key3=$6
        $nvram set wep_64_key4=$7
    else
        $nvram set wep_128_key1=$4
        $nvram set wep_128_key2=$5
        $nvram set wep_128_key3=$6
        $nvram set wep_128_key4=$7
    fi
}
config_secwpa() #$1: security type: 3--wpa-psk 4--wpa2-psk 5--wpas-psk
                #$2: passphrase
{
    $nvram set wl_sectype="$1"
    $nvram set wsc_disable=0
    if [ $1 -eq 3 ]; then
    	$nvram set wl_wpa1_psk="$2"
    elif [ $1 -eq 4 ]; then
        $nvram set wl_wpa2_psk="$2"
    else
        $nvram set wl_wpas_psk="$2"
    fi
	$nvram set wl_sec_wpaphrase_len=$3

}
config_radius()	#$2: 802.1x authentication: 0--wpa-psk 1--pa2-psk 2--wpas-psk
								#$3: radius server ip
								#$4: radius server port
								#$5: radius server shared secret
{
		$nvram set wl_sectype="$1"
		$nvram set wl_radius_mode="$2"
		$nvram set wl_radius_ipaddr="$3"
		$nvram set wl_radius_port="$4"
		$nvram set wl_radius_key="$5"
		$nvram set wsc_disable=1
}
